#!/bin/sh
# -----------------------------------------------------------------------------
# /usr/local/bin/forbiddendom.sh   -   fli4l 2.1.8                        0.7.1
#
# Creation:     25.09.2003  jml
# Update:       21.05.2004  jml
# Last Update:  26.09.2004  jml
#
# Copyright (c) 2003/2004 Jrgen Mackiol <fli4l@juemac.de>
# -----------------------------------------------------------------------------
# remove old forbidden entrys from /etc/dnsmasq.conf and add new
# forbidden entrys to /etc/dnsmasq.conf online
# -----------------------------------------------------------------------------
#
. /var/run/forbiddendom.cfg

domconf="$FORBIDDENDOM_DIR/forbiddendom.conf"
dombase="$FORBIDDENDOM_DIR/forbiddendom.base"
conf="/etc/dnsmasq.conf"

/usr/local/bin/dtou $domconf

if [ -f $dombase ]
   then
       cat $domconf $dombase > $domconf.new
       mv $domconf.new $domconf

fi

if [ -f $conf ]
   then
       grep -v '/127.0.0.1$' $conf > $conf.new
       mv $conf.new $conf
       /usr/bin/sed 's/^\(.*\)$/address=\/\1\/127.0.0.1/' $domconf >> $conf
       /bin/chown dns:dns $conf
       /bin/chmod 700 $conf
       killall -9 dnsmasq
       sleep 2
       /usr/local/dns/dnsmasq
       /usr/local/bin/colecho 'new forbidden domains added to dnsmasq.conf' gn
    else
       /usr/local/bin/colecho 'ups, NO /etc/dnsmasq.conf available' br x br
fi